org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_SELECTNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_SELECTNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_SELECTNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_SELECTNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_SELECTNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_SELECTNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindAutoadjustwidth(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindFlush(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindMaxwidth(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindSelecttype(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindValidvaluesbinding(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindValue(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_SELECTNode` | `setActionListener(java.lang.String value)`
    `UI5M_SELECTNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_SELECTNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_SELECTNode` | `setAutoadjustwidth(boolean value)`
    `UI5M_SELECTNode` | `setAutoadjustwidth(java.lang.String value)`
    `UI5M_SELECTNode` | `setComment(java.lang.String value)`
    `UI5M_SELECTNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_SELECTNode` | `setEnabled(boolean value)`
    `UI5M_SELECTNode` | `setEnabled(java.lang.String value)`
    `UI5M_SELECTNode` | `setFlush(boolean value)`
    `UI5M_SELECTNode` | `setFlush(java.lang.String value)`
    `UI5M_SELECTNode` | `setHeight(int value)`
    `UI5M_SELECTNode` | `setHeight(java.lang.String value)`
    `UI5M_SELECTNode` | `setIcon(java.lang.String value)`
    `UI5M_SELECTNode` | `setId(java.lang.String value)`
    `UI5M_SELECTNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_SELECTNode` | `setMaxwidth(java.lang.String value)`
    `UI5M_SELECTNode` | `setReference(java.lang.String value)`
    `UI5M_SELECTNode` | `setRendered(boolean value)`
    `UI5M_SELECTNode` | `setRendered(java.lang.String value)`
    `UI5M_SELECTNode` | `setSelecttype(java.lang.String value)`
    `UI5M_SELECTNode` | `setStyleseq(java.lang.String value)`
    `UI5M_SELECTNode` | `setStylevariant(java.lang.String value)`
    `UI5M_SELECTNode` | `setValidvaluesbinding(java.lang.String value)`
    `UI5M_SELECTNode` | `setValue(java.lang.String value)`
    `UI5M_SELECTNode` | `setWidth(int value)`
    `UI5M_SELECTNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_SELECTNode

          public UI5M_SELECTNode()

  - ### Method Detail

    - #### setId

          public UI5M_SELECTNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_SELECTNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_SELECTNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5M_SELECTNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_SELECTNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_SELECTNode setAttributemacro(java.lang.String value)

    - #### setAutoadjustwidth

          public UI5M_SELECTNode setAutoadjustwidth(java.lang.String value)

    - #### bindAutoadjustwidth

          public UI5M_SELECTNode bindAutoadjustwidth(IDynamicContentBindingObject value)

    - #### setAutoadjustwidth

          public UI5M_SELECTNode setAutoadjustwidth(boolean value)

    - #### setComment

          public UI5M_SELECTNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_SELECTNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_SELECTNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_SELECTNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_SELECTNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_SELECTNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_SELECTNode setEnabled(boolean value)

    - #### setFlush

          public UI5M_SELECTNode setFlush(java.lang.String value)

    - #### bindFlush

          public UI5M_SELECTNode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public UI5M_SELECTNode setFlush(boolean value)

    - #### setHeight

          public UI5M_SELECTNode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5M_SELECTNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_SELECTNode setHeight(int value)

    - #### setIcon

          public UI5M_SELECTNode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5M_SELECTNode bindIcon(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_SELECTNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_SELECTNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setMaxwidth

          public UI5M_SELECTNode setMaxwidth(java.lang.String value)

    - #### bindMaxwidth

          public UI5M_SELECTNode bindMaxwidth(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_SELECTNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_SELECTNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_SELECTNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_SELECTNode setRendered(boolean value)

    - #### setSelecttype

          public UI5M_SELECTNode setSelecttype(java.lang.String value)

    - #### bindSelecttype

          public UI5M_SELECTNode bindSelecttype(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_SELECTNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_SELECTNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_SELECTNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_SELECTNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setValidvaluesbinding

          public UI5M_SELECTNode setValidvaluesbinding(java.lang.String value)

    - #### bindValidvaluesbinding

          public UI5M_SELECTNode bindValidvaluesbinding(IDynamicContentBindingObject value)

    - #### setValue

          public UI5M_SELECTNode setValue(java.lang.String value)

    - #### bindValue

          public UI5M_SELECTNode bindValue(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_SELECTNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_SELECTNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_SELECTNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.